package fa;

import fa.util.*;

public class AlgebraFitness extends BooleanMultiFitnessImpl
{
	public int malcev, pixley;

	public String fitnessToStringForHumans()
	{
		String s = super.fitnessToStringForHumans();

		if (malcev > 0)
			s += "  (Mal'cev misses: " + malcev + ")";
		else if (pixley > 0)
			s += "  (Pixley misses: " + pixley + ")";

		return s;
	}

	public Object clone()
	{
		AlgebraFitness ret;

		ret = (AlgebraFitness)super.clone();
		ret.malcev = malcev;
		ret.pixley = pixley;

		return ret;
	}
}
