package fa;

import fa.util.BooleanMultiFitness;

import ec.*;
import ec.util.*;

public class PixleyTable extends DiscriminatorTable
{
	public void setup(final EvolutionState state, final Parameter base)
	{
		super.setup(state, base);

		tab = p;
	}

	public void evaluate(final EvolutionState state,
			     final Individual ind,
			     final int thread)
	{
		if (ind.size() == 1) {
			boolean[] bogus = new boolean[tab.length];
			for (int i = 0; i < tab.length; ++i)
				bogus[i] = true;
			((BooleanMultiFitness)ind.fitness).setFitness(bogus);
			ind.evaluated = true;
		} else {
			table_eval(state, ind, thread);
			try {
				AlgebraFitness f = (AlgebraFitness)ind.fitness;

				f.malcev = 0;
				for (int i = 0; i < m.length; ++i)
					if (f.p[i])
						++f.malcev;
				f.pixley = f.misses;
			} catch (ClassCastException e) {}
		}
	}
}
