package fa;

import ec.*;
import ec.util.*;

public class Q extends TableProblem
{
	public void setup(final EvolutionState state, final Parameter base)
	{
		super.setup(state, base);

		if (n != 3) {
			state.output.warning("Algebra size -> 3.");
			n = 3;
		}

		// a "random" ternary operation q(x,y,z) on {0,1,2}

		byte[][][] q = {{{0,2,1}, {1,1,2}, {0,2,1}},
				{{1,1,2}, {1,1,1}, {0,1,0}},
				{{1,1,0}, {0,0,2}, {0,2,2}}};

		tab = new byte[27][4];

		int i = 0;
		for (byte a = 0; a < n; ++a)
			for (byte b = 0; b < n; ++b)
				for (byte c = 0; c < n; ++c) {
					tab[i][X] = a;
					tab[i][Y] = b;
					tab[i][Z] = c;
					tab[i][RESULT] = q[a][b][c];
					++i;
				}
	}
}
