package fa.op;
import fa.*;

import ec.*;
import ec.gp.*;

public class A2 extends GPNode
{
	public static final byte[][] tab = {{2,0,2}, {1,0,2}, {1,2,1}};

	public String toString() { return "A2"; }

	public void eval(final EvolutionState s,
			 final int t,
			 final GPData data,
			 final ADFStack as,
			 final GPIndividual ind,
			 final Problem p)
	{
		Element retval = (Element)data;
		byte left, right;

		children[0].eval(s, t, data, as, ind, p);
		left = retval.i;

		children[1].eval(s, t, data, as, ind, p);
		right = retval.i;

		retval.i = tab[left][right];
	}
}
