package fa;

import fa.util.BooleanMultiFitness;

import ec.*;
import ec.util.*;

public class MalcevTable extends DiscriminatorTable
{
	public void setup(final EvolutionState state, final Parameter base)
	{
		super.setup(state, base);

		tab = m;
	}

	public void evaluate(final EvolutionState state,
			     final Individual ind,
			     final int thread)
	{
		if (ind.size() == 1) {
			boolean[] bogus = new boolean[tab.length];
			for (int i = 0; i < tab.length; ++i)
				bogus[i] = true;
			((BooleanMultiFitness)ind.fitness).setFitness(bogus);
			ind.evaluated = true;
		} else
			table_eval(state, ind, thread);
	}
}
